package com.vendor.burn.utilitily;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.Messages;
import com.vendor.burn.model.FT_STATUS;
import com.vendor.burn.model.define.IFastbootProgressMonitor;
import org.eclipse.swt.widgets.Display;

public class I2cUtils {
  public static int getbaudRateValue(String baudRateStr) {
    int baudRate = 0;
    if (baudRateStr.contains("k")) {
      baudRateStr = baudRateStr.substring(0, baudRateStr.indexOf("k"));
      baudRate = Integer.parseInt(baudRateStr) * 1000;
    } else if (baudRateStr.contains("K")) {
      baudRateStr = baudRateStr.substring(0, baudRateStr.indexOf("K"));
      baudRate = Integer.parseInt(baudRateStr) * 1000;
    } else {
      baudRate = Integer.parseInt(baudRateStr);
    } 
    return baudRate;
  }
  
  public static <T> FT_STATUS getEnum(int index) {
    Class<FT_STATUS> clazz = FT_STATUS.class;
    T[] c = (T[])clazz.getEnumConstants();
    return (FT_STATUS)c[index];
  }
  
  public static boolean checkI2cReturn(int input) {
    FT_STATUS returnValue = getEnum(input);
    boolean result = false;
    switch (null.$SwitchMap$com$vendor$burn$model$FT_STATUS[returnValue.ordinal()]) {
      case 1:
        result = true;
        break;
      case 2:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 3:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 4:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 5:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 6:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 7:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 8:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 9:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 10:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 11:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 12:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 13:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 14:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 15:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 16:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 17:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 18:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 19:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 20:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
    } 
    return result;
  }
  
  public static void setMonitorMessage(IFastbootProgressMonitor fastbootMonitor, String message) {
    if (fastbootMonitor != null) {
      fastbootMonitor.errorln(message);
      fastbootMonitor.getEvent().setMessage(message);
    } 
  }
  
  public static boolean checkI2cReturn(int input, IFastbootProgressMonitor fastbootMonitor) {
    FT_STATUS returnValue = getEnum(input);
    boolean result = false;
    switch (null.$SwitchMap$com$vendor$burn$model$FT_STATUS[returnValue.ordinal()]) {
      case 1:
        result = true;
        break;
      case 2:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_INVALID_HANDLE);
        break;
      case 3:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_DEVICE_NOT_FOUND);
        break;
      case 4:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_DEVICE_NOT_OPENED);
        break;
      case 5:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_IO_ERROR);
        break;
      case 6:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_INSUFFICIENT_RESOURCES);
        break;
      case 7:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_INVALID_PARAMETER);
        break;
      case 8:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_INVALID_BAUD_RATE);
        break;
      case 9:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_DEVICE_NOT_OPENED_FOR_ERASE);
        break;
      case 10:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_DEVICE_NOT_OPENED_FOR_WRITE);
        break;
      case 11:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_FAILED_TO_WRITE_DEVICE);
        break;
      case 12:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_EEPROM_READ_FAILED);
        break;
      case 13:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_EEPROM_WRITE_FAILED);
        break;
      case 14:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_EEPROM_ERASE_FAILED);
        break;
      case 15:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_EEPROM_NOT_PRESENT);
        break;
      case 16:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_EEPROM_NOT_PROGRAMMED);
        break;
      case 17:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_INVALID_ARGS);
        break;
      case 18:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_NOT_SUPPORTED);
        break;
      case 19:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_OTHER_ERROR);
        break;
      case 20:
        setMonitorMessage(fastbootMonitor, Messages.Message_FT_DEVICE_LIST_NOT_READY);
        break;
    } 
    return result;
  }
}
